Skip to main content
GET
/
commerce
/
subscriptions
/
{subscriptionId}
/
shipments
/
methods
Error
A valid request URL is required to generate request examples
[
  {
    "currencyCode": "<string>",
    "price": 123,
    "data": {},
    "fulfillmentMethod": "<string>",
    "isValid": true,
    "messages": [
      "<string>"
    ],
    "shippingItemRates": [
      {
        "amount": 123,
        "itemId": "<string>",
        "quantity": 123
      }
    ],
    "shippingMethodCode": "<string>",
    "shippingMethodName": "<string>",
    "shippingZoneCode": "<string>"
  }
]

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

subscriptionId
string
required

Query Parameters

draft
boolean
responseFields
string

limits which fields are returned in the response body

Response

Success

currencyCode
string | null

ISO currency code such as US dollars. Currently, only USD is supported.

price
number<double> | null

How much the customer pays for shipping which includes any shipping discounts that the merchant offers.

data
object

Custom data returned by the shipping service.

fulfillmentMethod
string | null

Fulfillment method of the shipping rate. eg) Ship or Delivery

isValid
boolean | null

If true, the shipping rate is valid.

messages
string[] | null

Messages and detail about why the shipping rate may be invalid.

shippingItemRates
object[] | null
shippingMethodCode
string | null

Code that uniquely identifies the selected shipping method.

shippingMethodName
string | null

Shipping Method Name

shippingZoneCode
string | null

The shipping zone to which this rate applies.